Loading...
Searching...
No Matches
Opm::ScheduleDeck Class Reference

## Public Member Functions

| ScheduleDeck (time_point start_time, const Deck &deck, const ScheduleRestartInfo &rst_info)
void | add_block (ScheduleTimeType time_type, const time_point &t, ScheduleDeckContext &context, const KeywordLocation &location)
void | add_TSTEP (const DeckKeyword &TSTEPKeyword, ScheduleDeckContext &context)
ScheduleBlock & | operator[] (const std::size_t index)
const ScheduleBlock & | operator[] (const std::size_t index) const
std::vector< ScheduleBlock >::const_iterator | begin () const
std::vector< ScheduleBlock >::const_iterator | end () const
std::size_t | size () const
std::size_t | restart_offset () const
const KeywordLocation & | location () const
double | seconds (std::size_t timeStep) const
bool | operator== (const ScheduleDeck &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
void | dump_deck (std::ostream &os, const UnitSystem &usys) const
void | clearKeywords (const std::size_t idx)

## Static Public Member Functions

static ScheduleDeck | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/ScheduleDeck.hpp
- opm/input/eclipse/Schedule/ScheduleDeck.cpp